# 蛋蛋星球 mysql 模型库

## 项目概述
集成蛋蛋星球项目所用到的所有数据库、表，并提供类ORM操作类。

-------------

## 项目结构
如下：

1. **文档**
    - `README.md` - 项目的入口点和概述。
    - `LICENSE` - 项目的许可证。

2. **源代码**
    - `src` - 主代码目录。
        - `dao` - dao包（接口类）。
        - `models` - mysql表模型。
        - `implement` - 实现包（实现所有接口）。

3. **测试用例**
    - `****_test.go` - 测试对应orm类功能。
    - `md`    - 测试用例所需结构体
    - `tmp`  - 运行临时日志

4. **工具类**
    - `logx` - 日志输出用到。
    - `*****.go` - 其他常用工具函数。

5. **配置文件**
    - `etc`
        - `db_tpl`  - 数据库模板文件
        - `cfg.yml` - 配置文件。

6.  **脚手架脚本**
- `cmd_db.bat` - 作用于 windows 系统自动生成models目录下的模型
- `cmd_db.sh`  - 作用于 linux 系统自动生成models目录下的模型

## 安装和运行
确保安装了所需的依赖，然后运行以下命令：

```bash
.\cmd_db.bat hello_world  ---> 自动生成模型类 
.\cmd_dao.bat hello_world  ---> 自动生成接口类
.\cmd_implement.bat hello_world  ---> 自动生成实现类