﻿package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type RoleDao interface {
	FindRole() (*[]model.Role, error)
	GetRole() (m *model.Role, err error)
	UpdateRole(m *model.Role, columns ...string) (int64, error)
	RoleDeleteBySession(session *xorm.Session, id interface{}) (int64, error)
	RoleInsert(m *model.Role) (int, error)
	FindPermissionGroupByRole(roleId int) (list []*RolePermissionGroup, total int64, err error)
}

type RolePermissionGroup struct {
	model.Role                `xorm:"extends"`
	model.RolePermissionGroup `xorm:"extends"`
	model.PermissionGroup     `xorm:"extends"`
}

func (RolePermissionGroup) TableName() string {
	return "role"
}
