package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

func NewEggEnergyBasicSettingDb(engine *xorm.Engine) dao.EggEnergyBasicSettingDao {
	return &EggEnergyBasicSettingDb{Db: engine}
}

type EggEnergyBasicSettingDb struct {
	Db *xorm.Engine
}

func (e EggEnergyBasicSettingDb) EggEnergyBasicSettingUpdate(session *xorm.Session, id interface{}, EggEnergyBasicSetting *model.EggEnergyBasicSetting, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = session.Where("id=?", id).Cols(forceColums...).Update(EggEnergyBasicSetting)
	} else {
		affected, err = session.Where("id=?", id).Update(EggEnergyBasicSetting)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (e EggEnergyBasicSettingDb) EggEnergyBasicSettingGetOneByParams(params map[string]interface{}) (*model.EggEnergyBasicSetting, error) {
	var m model.EggEnergyBasicSetting
	var query = fmt.Sprintf("%s =?", params["key"])
	if has, err := e.Db.Where(query, params["value"]).Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}

func (e EggEnergyBasicSettingDb) EggEnergyBasicSettingGetOne() (*model.EggEnergyBasicSetting, error) {
	var m *model.EggEnergyBasicSetting
	_, err := e.Db.Where("id >= ?", 1).Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	return m, nil
}
