﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggEnergyCoreDataDb(engine *xorm.Engine) dao.EggEnergyCoreDataDao {
	return &EggEnergyCoreDataDb{Db: engine}
}

type EggEnergyCoreDataDb struct {
	Db *xorm.Engine
}

func (e EggEnergyCoreDataDb) EggEnergyCoreDataUpdateBySession(session *xorm.Session, id interface{}, eggEnergyCoreData *model.EggEnergyCoreData, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = session.Where("id=?", id).Cols(forceColums...).Update(eggEnergyCoreData)
	} else {
		affected, err = session.Where("id=?", id).Update(eggEnergyCoreData)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (e EggEnergyCoreDataDb) EggEnergyCoreDataGet() (*model.EggEnergyCoreData, error) {
	var m model.EggEnergyCoreData
	if has, err := e.Db.Where("id >= 1").Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
