﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

func NewEggStarLevelDividendsRecordsDb(engine *xorm.Engine) dao.EggStarLevelDividendsRecordsDao {
	return &EggStarLevelDividendsRecordsDb{Db: engine}
}

type EggStarLevelDividendsRecordsDb struct {
	Db *xorm.Engine
}

func (e EggStarLevelDividendsRecordsDb) EggStarLevelDividendsRecordsInsertBySession(session *xorm.Session, EggStarLevelDividendsRecords *model.EggStarLevelDividendsRecords) (int64, error) {
	_, err := session.InsertOne(EggStarLevelDividendsRecords)
	if err != nil {
		return 0, err
	}
	return EggStarLevelDividendsRecords.Id, nil
}

func (e EggStarLevelDividendsRecordsDb) EggStarLevelDividendsRecordsUpdateBySession(session *xorm.Session, id interface{}, EggStarLevelDividendsRecords *model.EggStarLevelDividendsRecords, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = session.Where("id=?", id).Cols(forceColums...).Update(EggStarLevelDividendsRecords)
	} else {
		affected, err = session.Where("id=?", id).Update(EggStarLevelDividendsRecords)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (e EggStarLevelDividendsRecordsDb) EggStarLevelDividendsRecordsGetOneByParamsBySession(session *xorm.Session, params map[string]interface{}) (*model.EggStarLevelDividendsRecords, error) {
	var m model.EggStarLevelDividendsRecords
	var query = fmt.Sprintf("%s =?", params["key"])
	has, err := session.Where(query, params["value"]).Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return &m, nil
}
