﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"errors"
	"fmt"
	"reflect"
	"xorm.io/xorm"
)

func NewPublicPlatoonBasicSettingDb(engine *xorm.Engine) dao.PublicPlatoonBasicSettingDao {
	return &PublicPlatoonBasicSettingDb{Db: engine}
}

type PublicPlatoonBasicSettingDb struct {
	Db *xorm.Engine
}

func (p PublicPlatoonBasicSettingDb) PublicPlatoonBasicSettingGetOne() (*model.PublicPlatoonBasicSetting, error) {
	var m model.PublicPlatoonBasicSetting
	if has, err := p.Db.Where("id >= 1").Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}

func (p PublicPlatoonBasicSettingDb) PublicPlatoonBasicSettingInsert(PublicPlatoonBasicSetting *model.PublicPlatoonBasicSetting) (int, error) {
	_, err := p.Db.InsertOne(PublicPlatoonBasicSetting)
	if err != nil {
		return 0, err
	}
	return PublicPlatoonBasicSetting.Id, nil
}

func (p PublicPlatoonBasicSettingDb) BatchAddPublicPlatoonBasicSettings(PublicPlatoonBasicSettingData []*model.PublicPlatoonBasicSetting) (int64, error) {
	affected, err := p.Db.Insert(PublicPlatoonBasicSettingData)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (p PublicPlatoonBasicSettingDb) GetPublicPlatoonBasicSettingCount() int {
	var PublicPlatoonBasicSetting model.PublicPlatoonBasicSetting
	session := p.Db.Where("")
	count, err := session.Count(&PublicPlatoonBasicSetting)
	if err != nil {
		return 0
	}
	return int(count)
}

func (p PublicPlatoonBasicSettingDb) PublicPlatoonBasicSettingDelete(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return p.Db.In("id", id).Delete(model.PublicPlatoonBasicSetting{})
	} else {
		return p.Db.Where("id = ?", id).Delete(model.PublicPlatoonBasicSetting{})
	}
}

func (p PublicPlatoonBasicSettingDb) PublicPlatoonBasicSettingUpdate(id interface{}, PublicPlatoonBasicSetting *model.PublicPlatoonBasicSetting, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = p.Db.Where("id=?", id).Cols(forceColums...).Update(PublicPlatoonBasicSetting)
	} else {
		affected, err = p.Db.Where("id=?", id).Update(PublicPlatoonBasicSetting)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (p PublicPlatoonBasicSettingDb) PublicPlatoonBasicSettingGetOneByParams(params map[string]interface{}) (*model.PublicPlatoonBasicSetting, error) {
	var m model.PublicPlatoonBasicSetting
	var query = fmt.Sprintf("%s =?", params["key"])
	if has, err := p.Db.Where(query, params["value"]).Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}

func (p PublicPlatoonBasicSettingDb) PublicPlatoonBasicSettingFindByParams(params map[string]interface{}) (*[]model.PublicPlatoonBasicSetting, error) {
	var m []model.PublicPlatoonBasicSetting
	if params["value"] == nil {
		return nil, errors.New("参数有误")
	}
	if params["key"] == nil {
		//查询全部数据
		err := p.Db.Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
		return &m, nil
	} else {
		if reflect.TypeOf(params["value"]).Kind() == reflect.Slice {
			//指定In查询
			if err := p.Db.In(zhios_order_relate_utils.AnyToString(params["key"]), params["value"]).Find(&m); err != nil {
				return nil, zhios_order_relate_logx.Warn(err)
			}
			return &m, nil
		} else {
			var query = fmt.Sprintf("%s =?", params["key"])
			err := p.Db.Where(query, params["value"]).Find(&m)
			if err != nil {
				return nil, zhios_order_relate_logx.Error(err)
			}
			return &m, nil
		}
	}
}
