package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

func NewPublicPlatoonFreePunishWithUserDb(engine *xorm.Engine) dao.PublicPlatoonFreePunishWithUserDao {
	return &PublicPlatoonFreePunishWithUserDb{Db: engine}
}

type PublicPlatoonFreePunishWithUserDb struct {
	Db *xorm.Engine
}

func (p PublicPlatoonFreePunishWithUserDb) FindAllPublicPlatoonFreePunishWithUser() (resp map[int64]*model.PublicPlatoonFreePunishWithUser, err error) {
	var m []model.PublicPlatoonFreePunishWithUser
	err = p.Db.Where("1=1").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	resp = map[int64]*model.PublicPlatoonFreePunishWithUser{}
	for _, v := range m {
		resp[v.Uid] = &v
	}
	return
}

func (p PublicPlatoonFreePunishWithUserDb) PublicPlatoonFreePunishWithUserInsert(PublicPlatoonFreePunishWithUser *model.PublicPlatoonFreePunishWithUser) (int, error) {
	_, err := p.Db.InsertOne(PublicPlatoonFreePunishWithUser)
	if err != nil {
		return 0, err
	}
	return PublicPlatoonFreePunishWithUser.Id, nil
}

func (p PublicPlatoonFreePunishWithUserDb) PublicPlatoonFreePunishWithUserUpdate(Db *xorm.Engine, id interface{}, PublicPlatoonFreePunishWithUser *model.PublicPlatoonFreePunishWithUser, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = Db.Where("id=?", id).Cols(forceColums...).Update(PublicPlatoonFreePunishWithUser)
	} else {
		affected, err = Db.Where("id=?", id).Update(PublicPlatoonFreePunishWithUser)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (p PublicPlatoonFreePunishWithUserDb) PublicPlatoonFreePunishWithUserCountAndGetPageByParams(page int, limit int, params map[string]interface{}) ([]model.PublicPlatoonFreePunishWithUser, int64, error) {

	var m []model.PublicPlatoonFreePunishWithUser
	var total int64
	var err1 error
	if params != nil {
		query := fmt.Sprintf("%s = ?", params["key"])
		total, err1 = p.Db.Where(query, params["value"]).Limit(limit, (page-1)*limit).FindAndCount(&m)
	} else {
		total, err1 = p.Db.Where("1=1").Limit(limit, (page-1)*limit).FindAndCount(&m)
	}
	if err1 != nil {
		return nil, 0, zhios_order_relate_logx.Error(err1)
	}
	return m, total, nil
}
