﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"errors"
	"fmt"
	"reflect"
	"xorm.io/xorm"
)

func NewPublicPlatoonUserSystemPunishRecordsDb(engine *xorm.Engine) dao.PublicPlatoonUserSystemPunishRecordsDao {
	return &PublicPlatoonUserSystemPunishRecordsDb{Db: engine}
}

type PublicPlatoonUserSystemPunishRecordsDb struct {
	Db *xorm.Engine
}

func (p PublicPlatoonUserSystemPunishRecordsDb) PublicPlatoonUserSystemPunishRecordsInsert(session *xorm.Session, PublicPlatoonUserSystemPunishRecords *model.PublicPlatoonUserSystemPunishRecords) (int64, error) {
	_, err := session.InsertOne(PublicPlatoonUserSystemPunishRecords)
	if err != nil {
		return 0, err
	}
	return PublicPlatoonUserSystemPunishRecords.Id, nil
}

func (p PublicPlatoonUserSystemPunishRecordsDb) PublicPlatoonUserSystemPunishRecordsGetOneByParams(params map[string]interface{}) (*model.PublicPlatoonUserSystemPunishRecords, error) {
	var m model.PublicPlatoonUserSystemPunishRecords
	var query = fmt.Sprintf("%s =?", params["key"])
	if has, err := p.Db.Where(query, params["value"]).Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}

func (p PublicPlatoonUserSystemPunishRecordsDb) PublicPlatoonUserSystemPunishRecordsFindByParams(params map[string]interface{}) (*[]model.PublicPlatoonUserSystemPunishRecords, error) {
	var m []model.PublicPlatoonUserSystemPunishRecords
	if params["value"] == nil {
		return nil, errors.New("参数有误")
	}
	if params["key"] == nil {
		//查询全部数据
		err := p.Db.Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
		return &m, nil
	} else {
		if reflect.TypeOf(params["value"]).Kind() == reflect.Slice {
			//指定In查询
			if err := p.Db.In(zhios_order_relate_utils.AnyToString(params["key"]), params["value"]).Find(&m); err != nil {
				return nil, zhios_order_relate_logx.Warn(err)
			}
			return &m, nil
		} else {
			var query = fmt.Sprintf("%s =?", params["key"])
			err := p.Db.Where(query, params["value"]).Find(&m)
			if err != nil {
				return nil, zhios_order_relate_logx.Error(err)
			}
			return &m, nil
		}
	}
}
