package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"reflect"
	"xorm.io/xorm"
)

func NewUserDb(engine *xorm.Engine) dao.UserDao {
	return &UserDb{Db: engine}
}

type UserDb struct {
	Db *xorm.Engine
}

func (u UserDb) UserGetOneByParams(params map[string]interface{}) (*model.User, error) {
	var m model.User
	var query = fmt.Sprintf("%s = ?", params["key"])
	if has, err := u.Db.Where(query, params["value"]).Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}

func (u UserDb) UserFindByParams(params map[string]interface{}) ([]model.User, error) {
	var m []model.User
	if reflect.TypeOf(params["value"]).Kind() == reflect.Slice {
		//指定In查询
		if err := u.Db.In(zhios_order_relate_utils.AnyToString(params["key"]), params["value"]).Find(&m); err != nil {
			return nil, zhios_order_relate_logx.Warn(err)
		}
	} else {
		var query = fmt.Sprintf("%s =?", params["key"])
		err := u.Db.Where(query, params["value"]).Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
	}
	return m, nil
}
