﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"errors"
	"xorm.io/xorm"
)

func NewUserLevelDb(engine *xorm.Engine) dao.UserLevelDao {
	return &UserLevelDb{Db: engine}
}

type UserLevelDb struct {
	Db *xorm.Engine
}

func (u UserLevelDb) UserLevelInIDescByWeightLowWithOne() (*model.UserLevel, error) {
	var ms model.UserLevel
	has, err := u.Db.Where("is_use=1").Asc("level_weight").Get(&ms)
	if err != nil {
		return nil, err
	}
	if has == false {
		return nil, zhios_order_relate_logx.Warn(errors.New("等级不存在"))
	}
	return &ms, nil
}

func (u UserLevelDb) UserLevelByID(id interface{}) (*model.UserLevel, error) {
	m := new(model.UserLevel)
	has, err := u.Db.Where("id = ?", id).Get(m)
	if err != nil {
		return nil, err
	}
	if !has {
		return nil, errors.New("no found")
	}

	return m, nil
}

func (u UserLevelDb) UserLevelAllByAsc() ([]*model.UserLevel, error) {
	var m []*model.UserLevel
	err := u.Db.Where("is_use = ?", 1).Asc("level_weight").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Warn(err)
	}
	return m, nil
}
