﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewUserVirtualAmountDb(engine *xorm.Engine) dao.UserVirtualAmountDao {
	return &UserVirtualAmountDb{Db: engine}
}

type UserVirtualAmountDb struct {
	Db *xorm.Engine
}

func (u UserVirtualAmountDb) GetUserVirtualWalletBySession(uid int64, coinId int) (*model.UserVirtualAmount, error) {
	var UserVirtualWallet model.UserVirtualAmount
	get, err := u.Db.Where("uid = ? AND coin_id = ?", uid, coinId).Get(&UserVirtualWallet)
	if err != nil {
		return nil, err
	}
	if get {
		return &UserVirtualWallet, nil
	} else {
		UserVirtualWallet.Amount = "0"
		UserVirtualWallet.CoinId = coinId
		UserVirtualWallet.Uid = uid
		one, err1 := u.Db.InsertOne(&UserVirtualWallet)
		if err1 != nil || one == 0 {
			return nil, err1
		}
		return &UserVirtualWallet, nil
	}
}

func (u UserVirtualAmountDb) UserVirtualAmountFindAndCountByCoinKind(coinID int, page, pageSize int) ([]model.UserVirtualAmount, int64, error) {
	var userVirtualWallets []model.UserVirtualAmount
	total, err := u.Db.Where("coin_id = ?", coinID).Limit(pageSize, (page-1)*pageSize).Desc("amount").FindAndCount(&userVirtualWallets)
	if err != nil {
		return nil, 0, zhios_order_relate_logx.Error(err.Error())
	}
	return userVirtualWallets, total, nil
}

func (u UserVirtualAmountDb) UserVirtualAmountGetSumByCoinKind(coinId int) (float64, error) {
	var m model.UserVirtualAmount
	sum, err := u.Db.Where("coin_id = ?", coinId).Sum(m, "amount")
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return sum, nil
}
