package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewUserVirtualCoinFlowDb(engine *xorm.Engine) dao.UserVirtualCoinFlowDao {
	return &UserVirtualCoinFlowDb{Db: engine}
}

type UserVirtualCoinFlowDb struct {
	Db *xorm.Engine
}

func (u UserVirtualCoinFlowDb) UserVirtualCoinFlowInsertBySession(session *xorm.Session, UserVirtualCoinFlow *model.UserVirtualCoinFlow) (int64, error) {
	_, err := session.InsertOne(UserVirtualCoinFlow)
	if err != nil {
		return 0, err
	}
	return UserVirtualCoinFlow.Id, nil
}

func (u UserVirtualCoinFlowDb) UserVirtualCoinFlowFindByCoinAndUser(page, pageSize int, coinID int, uid int64, startAt string, endAt string, direction int) ([]model.UserVirtualCoinFlow, int64, error) {
	var m []model.UserVirtualCoinFlow
	session := u.Db.Where("uid = ?", uid).And("coin_id = ?", coinID).And("create_at >= ?", startAt).And("create_at <= ?", endAt)
	if direction != 0 {
		session = session.And("direction = ?", direction)
	}

	total, err := session.Limit(pageSize, (page-1)*pageSize).Desc("create_at").FindAndCount(&m)
	if err != nil {
		return nil, 0, err
	}

	return m, total, nil
}
