package model

type EggEnergyAvailableEnergyFlow struct {
	Id                                  int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Kind                                int    `json:"kind" xorm:"not null default 1 comment('种类(1:个人蛋蛋积分兑换 2:团队蛋蛋积分兑换 3:余额兑换蛋蛋能量 4:蛋蛋能量兑换余额 5:星级分红 6:社区分红 7:平台盈利)') TINYINT(1)"`
	Title                               string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(255)"`
	BeforePrice                         string `json:"before_price" xorm:"not null default 0.0000000000 comment('变更前-价格') DECIMAL(28,10)"`
	AfterPrice                          string `json:"after_price" xorm:"not null default 0.0000000000 comment('变更后-价格') DECIMAL(28,10)"`
	Amount                              string `json:"amount" xorm:"not null default 0.0000000000 comment('变更数量') DECIMAL(28,10)"`
	BeforeNowEnergyTotalNums            string `json:"before_now_energy_total_nums" xorm:"not null default 0.0000000000 comment('变更前-现行总量') DECIMAL(28,10)"`
	AfterNowEnergyTotalNums             string `json:"after_now_energy_total_nums" xorm:"not null default 0.0000000000 comment('变更后-现行总量') DECIMAL(28,10)"`
	AfterPlanetTotalValue               string `json:"after_planet_total_value" xorm:"not null default 0.0000000000 comment('变更后-星球总价值') DECIMAL(28,10)"`
	BeforePlanetTotalValue              string `json:"before_planet_total_value" xorm:"not null default 0.0000000000 comment('变更前-星球总价值') DECIMAL(28,10)"`
	BeforeMarketplaceMerchantValues     string `json:"before_marketplace_merchant_values" xorm:"not null default 0.0000000000 comment('变更前-市商区块币数量') DECIMAL(28,10)"`
	AfterMarketplaceMerchantValues      string `json:"after_marketplace_merchant_values" xorm:"not null default 0.0000000000 comment('变更后-市商区块币数量') DECIMAL(28,10)"`
	BeforeMarketplaceMerchantFundValues string `json:"before_marketplace_merchant_fund_values" xorm:"not null default 0.0000000000 comment('变更前-市商资金值') DECIMAL(28,10)"`
	AfterMarketplaceMerchantFundValues  string `json:"after_marketplace_merchant_fund_values" xorm:"not null default 0.0000000000 comment('变更后-市商资金值') DECIMAL(28,10)"`
	BeforeDevelopmentCommitteeValues    string `json:"before_development_committee_values" xorm:"not null default 0.0000000000 comment('变更前-发展委员会区块币数量') DECIMAL(28,10)"`
	AfterDevelopmentCommitteeValues     string `json:"after_development_committee_values" xorm:"not null default 0.0000000000 comment('变更后-发展委员会区块币数量') DECIMAL(28,10)"`
	BeforePublicWelfareAndCharityValues string `json:"before_public_welfare_and_charity_values" xorm:"not null default 0.0000000000 comment('变更前-公益慈善区块币数量') DECIMAL(28,10)"`
	AfterPublicWelfareAndCharityValues  string `json:"after_public_welfare_and_charity_values" xorm:"not null default 0.0000000000 comment('变更后-公益慈善区块币数量') DECIMAL(28,10)"`
	BeforeStarLevelDividendsValues      string `json:"before_star_level_dividends_values" xorm:"not null default 0.0000000000 comment('变更前-星级分红区块币数量') DECIMAL(28,10)"`
	AfterStarLevelDividendsValues       string `json:"after_star_level_dividends_values" xorm:"not null default 0.0000000000 comment('变更后-星级分红区块币数量') DECIMAL(28,10)"`
	BeforeDestructionQuantityValues     string `json:"before_destruction_quantity_values" xorm:"not null default 0.0000000000 comment('变更前-销毁区块币数量') DECIMAL(28,10)"`
	AfterDestructionQuantityValues      string `json:"after_destruction_quantity_values" xorm:"not null default 0.0000000000 comment('变更后-销毁区块币数量') DECIMAL(28,10)"`
	BeforeCommunityDividends            string `json:"before_community_dividends" xorm:"not null default 0.0000000000 comment('变更前-社区分红区块币数量') DECIMAL(28,10)"`
	AfterCommunityDividends             string `json:"after_community_dividends" xorm:"not null default 0.0000000000 comment('变更后-社区分红区块币数量') DECIMAL(28,10)"`
	CreateTime                          string `json:"create_time" xorm:"default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
}
