package model

type EggEnergyBasicSetting struct {
	Id                         int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsOpen                     int    `json:"is_open" xorm:"not null default 1 comment('是否开启(1:开启 0:关闭)') TINYINT(1)"`
	PersonEggEnergyCoinId      int    `json:"person_egg_energy_coin_id" xorm:"not null default 0 comment('个人蛋蛋能量对应虚拟币id') INT(11)"`
	TeamEggEnergyCoinId        int    `json:"team_egg_energy_coin_id" xorm:"not null default 0 comment('团队绿色能量对应虚拟币id') INT(11)"`
	PersonEggPointsCoinId      int    `json:"person_egg_points_coin_id" xorm:"not null default 0 comment('个人蛋蛋积分对应虚拟币id') INT(11)"`
	TeamEggPointsCoinId        int    `json:"team_egg_points_coin_id" xorm:"not null default 0 comment('团队蛋蛋积分对应虚拟币id') INT(11)"`
	ContributionCoinId         int    `json:"contribution_coin_id" xorm:"not null default 0 comment('贡献值对应虚拟币id') INT(11)"`
	TotalIssuanceAmount        string `json:"total_issuance_amount" xorm:"not null comment('总发行量') DECIMAL(28,8)"`
	TotalTechnologyTeam        string `json:"total_technology_team" xorm:"not null comment('技术团队') DECIMAL(28,8)"`
	TotalAngelInvestor         string `json:"total_angel_investor" xorm:"not null pk comment('天使投资人') DECIMAL(28,8)"`
	TotalOperateFund           string `json:"total_operate_fund" xorm:"not null comment('运营资金') DECIMAL(28,8)"`
	TotalEcologicalDevelopment string `json:"total_ecological_development" xorm:"not null comment('生态建设') DECIMAL(28,8)"`
	//TotalTeamDividends         string `json:"total_team_dividends" xorm:"not null comment('团队分红') DECIMAL(28,8)"`
	TotalUserForPerson    string `json:"total_user_for_person" xorm:"not null comment('个人区域') DECIMAL(28,8)"`
	TotalUserForTeam      string `json:"total_user_for_team" xorm:"not null comment('团队区域') DECIMAL(28,8)"`
	InitialPrice          string `json:"initial_price" xorm:"not null comment('初始价格') DECIMAL(28,8)"`
	DestructionSetting    string `json:"destruction_setting" xorm:"not null comment('销毁设置') TEXT"`
	IsLimitDividend       int    `json:"is_limit_dividend" xorm:"not null default 1 comment('是否限制分红(会员本人不活跃,没有星级能量分红)') TINYINT(1)"`
	SettlementQuantity    int    `json:"settlement_quantity" xorm:"not null default 0 comment('结算数量(百分比)') INT(11)"`
	DirectPushReward      string `json:"direct_push_reward" xorm:"not null comment('直推奖励') TEXT"`
	PriceSetting          string `json:"price_setting" xorm:"not null comment('价格设置') TEXT"`
	VipEquitySetting      string `json:"vip_equity_setting" xorm:"not null comment('会员权益') TEXT"`
	VideoRewardIsOpen     int    `json:"video_reward_is_open" xorm:"not null default 1 comment('视屏奖励是否开启(1:开启 0:关闭)') TINYINT(1)"`
	VideoRewardSystem     string `json:"video_reward_system" xorm:"not null comment('视屏奖励机制') TEXT"`
	ExchangeRules         string `json:"exchange_rules" xorm:"not null comment('兑换规则') TEXT"`
	NewUserIncentiveRules string `json:"new_user_incentive_rules" xorm:"not null comment('新用户激励规则') TEXT"`
	RewardSystem          string `json:"reward_system" xorm:"comment('圈层奖励机制') TEXT"`
	CreateAt              string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt              string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
