package model

type PublicPlatoonUserRelation struct {
	Id            int64  `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid           int64  `json:"uid" xorm:"not null default 0 comment('用户id(若为-1,则代表等待新用户填充)') index INT(11)"`
	RecommendUid  int64  `json:"recommend_uid" xorm:"not null default 0 comment('推荐人id') INT(11)"`
	FatherUid     string `json:"father_uid" xorm:"not null default '' comment('父级uid(123456-563464-438384)') index VARCHAR(100)"`
	FatherUid1    int64  `json:"father_uid1" xorm:"not null default 0 comment('父级uid_1') INT(11)"`
	FatherUid2    int64  `json:"father_uid2" xorm:"not null default 0 comment('父级uid_2') INT(11)"`
	FatherUid3    int64  `json:"father_uid3" xorm:"not null default 0 comment('父级uid_3') INT(11)"`
	FatherUid4    int64  `json:"father_uid4" xorm:"not null default 0 comment('父级uid_4') INT(11)"`
	FatherUid5    int64  `json:"father_uid5" xorm:"not null default 0 comment('父级uid_5') INT(11)"`
	FatherUid6    int64  `json:"father_uid6" xorm:"not null default 0 comment('父级uid_6') INT(11)"`
	FatherUid7    int64  `json:"father_uid7" xorm:"not null default 0 comment('父级uid_7') INT(11)"`
	FatherUid8    int64  `json:"father_uid8" xorm:"not null default 0 comment('父级uid_8') INT(11)"`
	FatherUid9    int64  `json:"father_uid9" xorm:"not null default 0 comment('父级uid_9') INT(11)"`
	Pid1          int64  `json:"pid1" xorm:"not null default 0 comment('父级id_1') INT(11)"`
	Pid2          int64  `json:"pid2" xorm:"not null default 0 comment('父级id_2') INT(11)"`
	Pid3          int64  `json:"pid3" xorm:"not null default 0 comment('父级id_3') INT(11)"`
	Pid4          int64  `json:"pid4" xorm:"not null default 0 comment('父级id_4') INT(11)"`
	Pid5          int64  `json:"pid5" xorm:"not null default 0 comment('父级id_5') INT(11)"`
	Pid6          int64  `json:"pid6" xorm:"not null default 0 comment('父级id_6') INT(11)"`
	Pid7          int64  `json:"pid7" xorm:"not null default 0 comment('父级id_7') INT(11)"`
	Pid8          int64  `json:"pid8" xorm:"not null default 0 comment('父级id_8') INT(11)"`
	Pid9          int64  `json:"pid9" xorm:"not null default 0 comment('父级id_9') INT(11)"`
	Position      int64  `json:"position" xorm:"not null default 1 comment('位置(以自己为创始人)') INT(11)"`
	Position1     int64  `json:"position1" xorm:"not null default 0 comment('位置_1(以pid1为创始人中网的位置)') INT(11)"`
	Position2     int64  `json:"position2" xorm:"not null default 0 comment('位置_2') INT(11)"`
	Position3     int64  `json:"position3" xorm:"not null default 0 comment('位置_3') INT(11)"`
	Position4     int64  `json:"position4" xorm:"not null default 0 comment('位置_4') INT(11)"`
	Position5     int64  `json:"position5" xorm:"not null default 0 comment('位置_5') INT(11)"`
	Position6     int64  `json:"position6" xorm:"not null default 0 comment('位置_6') INT(11)"`
	Position7     int64  `json:"position7" xorm:"not null default 0 comment('位置_7') INT(11)"`
	Position8     int64  `json:"position8" xorm:"not null default 0 comment('位置_8') INT(11)"`
	Position9     int64  `json:"position9" xorm:"not null default 0 comment('位置_9') INT(11)"`
	Level         int    `json:"level" xorm:"not null default 1 comment('等级(以自己为创始人)') INT(11)"`
	Level1        int    `json:"level1" xorm:"not null default 0 comment('等级_1(以pid1为创始人中网的等级)') INT(11)"`
	Level2        int    `json:"level2" xorm:"not null default 0 comment('等级_2') INT(11)"`
	Level3        int    `json:"level3" xorm:"not null default 0 comment('等级_3') INT(11)"`
	Level4        int    `json:"level4" xorm:"not null default 0 comment('等级_4') INT(11)"`
	Level5        int    `json:"level5" xorm:"not null default 0 comment('等级_5') INT(11)"`
	Level6        int    `json:"level6" xorm:"not null default 0 comment('等级_6') INT(11)"`
	Level7        int    `json:"level7" xorm:"not null default 0 comment('等级_7') INT(11)"`
	Level8        int    `json:"level8" xorm:"not null default 0 comment('等级_8') INT(11)"`
	Level9        int    `json:"level9" xorm:"default 0 comment('等级_9') INT(11)"`
	LevelTotal    int    `json:"level_total" xorm:"not null default 1 comment('等级(整个系统)') INT(11)"`
	JoinAt        string `json:"join_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('加入公排时间') DATETIME"`
	HasSonNum     int    `json:"has_son_num" xorm:"not null default 0 comment('拥有直属下级数量') TINYINT(2)"`
	IsAllowPunish int    `json:"is_allow_punish" xorm:"not null default 1 comment('是否允许处罚(1:允许 2:不允许)') TINYINT(1)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
