package model

type User struct {
	Id               int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Phone            string `json:"phone" xorm:"not null default '' comment('手机号') VARCHAR(255)"`
	UnionId          string `json:"union_id" xorm:"not null default '' comment('微信用户id') VARCHAR(255)"`
	OpenId           string `json:"open_id" xorm:"not null default '' comment('微信openid') VARCHAR(255)"`
	Nickname         string `json:"nickname" xorm:"not null default '' comment('昵称') VARCHAR(255)"`
	Avatar           string `json:"avatar" xorm:"not null default '' comment('头像') VARCHAR(255)"`
	Password         string `json:"password" xorm:"not null default '' comment('密码') CHAR(50)"`
	Passcode         string `json:"passcode" xorm:"not null default '' comment('支付密码') CHAR(50)"`
	Level            int    `json:"level" xorm:"not null default 0 comment('用户等级id') INT(11)"`
	InviteTotal      int    `json:"invite_total" xorm:"not null default 0 comment('直推邀请总人数') INT(11)"`
	State            int    `json:"state" xorm:"not null default 1 comment('1正常,2冻结') TINYINT(1)"`
	LastLoginIp      string `json:"last_login_ip" xorm:"not null default '' comment('最后登录IP') CHAR(50)"`
	Sex              int    `json:"sex" xorm:"not null default 0 comment('性别(0:未知 1:男 2:女)') TINYINT(1)"`
	ParentUid        int64  `json:"parent_uid" xorm:"not null default 0 comment('父级id') BIGINT(20)"`
	SystemInviteCode string `json:"system_invite_code" xorm:"not null default '' comment('系统邀请码') CHAR(50)"`
	CustomInviteCode string `json:"custom_invite_code" xorm:"not null default '' comment('自定义邀请码') CHAR(50)"`
	Memo             string `json:"memo" xorm:"not null default '' comment('备注信息') VARCHAR(244)"`
	CreateAt         string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
