package model

type UserVirtualCoinFlow struct {
	Id           int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid          int64  `json:"uid" xorm:"not null default 0 comment('用户id') index index(idx_uid_coinid) BIGINT(20)"`
	CoinId       int    `json:"coin_id" xorm:"not null default 0 comment('虚拟币id') index(idx_uid_coinid) index INT(11)"`
	Direction    int    `json:"direction" xorm:"not null default 0 comment('方向:1收入 2支出') index TINYINT(1)"`
	Title        string `json:"title" xorm:"not null default '' comment('标题') CHAR(50)"`
	Amount       string `json:"amount" xorm:"not null comment('变更数量') index DECIMAL(28,8)"`
	BeforeAmount string `json:"before_amount" xorm:"not null comment('变更前数量') DECIMAL(28,8)"`
	AfterAmount  string `json:"after_amount" xorm:"not null comment('变更后数量') DECIMAL(28,8)"`
	SysFee       string `json:"sys_fee" xorm:"not null default 0.000000 comment('手续费') DECIMAL(28,8)"`
	TransferType int    `json:"transfer_type" xorm:"not null default 0 comment('转账类型') TINYINT(3)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') index DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
